----------------------------------------------------------------------
-- Created by SmartDesign Fri Nov 19 10:22:58 2021
-- Version: v2021.2 2021.2.0.11
----------------------------------------------------------------------

----------------------------------------------------------------------
-- Libraries
----------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

----------------------------------------------------------------------
-- uart entity declaration
----------------------------------------------------------------------
entity uart is
    -- Port list
    port(
        -- Inputs
        DEVRST_N              : in  std_logic;
        FIC_0_AHB_S_HADDR     : in  std_logic_vector(31 downto 0);
        FIC_0_AHB_S_HMASTLOCK : in  std_logic;
        FIC_0_AHB_S_HREADY    : in  std_logic;
        FIC_0_AHB_S_HSEL      : in  std_logic;
        FIC_0_AHB_S_HSIZE     : in  std_logic_vector(1 downto 0);
        FIC_0_AHB_S_HTRANS    : in  std_logic_vector(1 downto 0);
        FIC_0_AHB_S_HWDATA    : in  std_logic_vector(31 downto 0);
        FIC_0_AHB_S_HWRITE    : in  std_logic;
        M3_RESET_N            : in  std_logic;
        MMUART_0_RXD          : in  std_logic;
        XTL                   : in  std_logic;
        -- Outputs
        FIC_0_AHB_S_HRDATA    : out std_logic_vector(31 downto 0);
        FIC_0_AHB_S_HREADYOUT : out std_logic;
        FIC_0_AHB_S_HRESP     : out std_logic;
        LOCK                  : out std_logic;
        MMUART_0_TXD          : out std_logic;
        MSS_RESET_N_M2F       : out std_logic;
        POWER_ON_RESET_N      : out std_logic;
        clk_100               : out std_logic
        );
end uart;
----------------------------------------------------------------------
-- uart architecture body
----------------------------------------------------------------------
architecture RTL of uart is
----------------------------------------------------------------------
-- Component declarations
----------------------------------------------------------------------
-- FCCC_C0
component FCCC_C0
    -- Port list
    port(
        -- Inputs
        XTLOSC : in  std_logic;
        -- Outputs
        GL0    : out std_logic;
        GL1    : out std_logic;
        GL2    : out std_logic;
        GL3    : out std_logic;
        LOCK   : out std_logic
        );
end component;
-- OSC_C0
component OSC_C0
    -- Port list
    port(
        -- Inputs
        XTL        : in  std_logic;
        -- Outputs
        XTLOSC_CCC : out std_logic;
        XTLOSC_O2F : out std_logic
        );
end component;
-- SYSRESET
component SYSRESET
    -- Port list
    port(
        -- Inputs
        DEVRST_N         : in  std_logic;
        -- Outputs
        POWER_ON_RESET_N : out std_logic
        );
end component;
-- uart_MSS
component uart_MSS
    -- Port list
    port(
        -- Inputs
        FIC_0_AHB_S_HADDR     : in  std_logic_vector(31 downto 0);
        FIC_0_AHB_S_HMASTLOCK : in  std_logic;
        FIC_0_AHB_S_HREADY    : in  std_logic;
        FIC_0_AHB_S_HSEL      : in  std_logic;
        FIC_0_AHB_S_HSIZE     : in  std_logic_vector(1 downto 0);
        FIC_0_AHB_S_HTRANS    : in  std_logic_vector(1 downto 0);
        FIC_0_AHB_S_HWDATA    : in  std_logic_vector(31 downto 0);
        FIC_0_AHB_S_HWRITE    : in  std_logic;
        M3_RESET_N            : in  std_logic;
        MCCC_CLK_BASE         : in  std_logic;
        MMUART_0_RXD          : in  std_logic;
        -- Outputs
        FIC_0_AHB_S_HRDATA    : out std_logic_vector(31 downto 0);
        FIC_0_AHB_S_HREADYOUT : out std_logic;
        FIC_0_AHB_S_HRESP     : out std_logic;
        MMUART_0_TXD          : out std_logic;
        MSS_RESET_N_M2F       : out std_logic
        );
end component;
----------------------------------------------------------------------
-- Signal declarations
----------------------------------------------------------------------
signal clk_100_net_0                      : std_logic;
signal FIC_0_AHB_SLAVE_HRDATA             : std_logic_vector(31 downto 0);
signal FIC_0_AHB_SLAVE_HREADYOUT          : std_logic;
signal FIC_0_AHB_SLAVE_HRESP              : std_logic;
signal LOCK_net_0                         : std_logic;
signal MMUART_0_TXD_net_0                 : std_logic;
signal MSS_RESET_N_M2F_net_0              : std_logic;
signal OSC_C0_0_XTLOSC_CCC_OUT_XTLOSC_CCC : std_logic;
signal POWER_ON_RESET_N_net_0             : std_logic;
signal MMUART_0_TXD_net_1                 : std_logic;
signal clk_100_net_1                      : std_logic;
signal LOCK_net_1                         : std_logic;
signal POWER_ON_RESET_N_net_1             : std_logic;
signal FIC_0_AHB_SLAVE_HRDATA_net_0       : std_logic_vector(31 downto 0);
signal FIC_0_AHB_SLAVE_HREADYOUT_net_0    : std_logic;
signal FIC_0_AHB_SLAVE_HRESP_net_0        : std_logic;
signal MSS_RESET_N_M2F_net_1              : std_logic;

begin
----------------------------------------------------------------------
-- Top level output port assignments
----------------------------------------------------------------------
 MMUART_0_TXD_net_1              <= MMUART_0_TXD_net_0;
 MMUART_0_TXD                    <= MMUART_0_TXD_net_1;
 clk_100_net_1                   <= clk_100_net_0;
 clk_100                         <= clk_100_net_1;
 LOCK_net_1                      <= LOCK_net_0;
 LOCK                            <= LOCK_net_1;
 POWER_ON_RESET_N_net_1          <= POWER_ON_RESET_N_net_0;
 POWER_ON_RESET_N                <= POWER_ON_RESET_N_net_1;
 FIC_0_AHB_SLAVE_HRDATA_net_0    <= FIC_0_AHB_SLAVE_HRDATA;
 FIC_0_AHB_S_HRDATA(31 downto 0) <= FIC_0_AHB_SLAVE_HRDATA_net_0;
 FIC_0_AHB_SLAVE_HREADYOUT_net_0 <= FIC_0_AHB_SLAVE_HREADYOUT;
 FIC_0_AHB_S_HREADYOUT           <= FIC_0_AHB_SLAVE_HREADYOUT_net_0;
 FIC_0_AHB_SLAVE_HRESP_net_0     <= FIC_0_AHB_SLAVE_HRESP;
 FIC_0_AHB_S_HRESP               <= FIC_0_AHB_SLAVE_HRESP_net_0;
 MSS_RESET_N_M2F_net_1           <= MSS_RESET_N_M2F_net_0;
 MSS_RESET_N_M2F                 <= MSS_RESET_N_M2F_net_1;
----------------------------------------------------------------------
-- Component instances
----------------------------------------------------------------------
-- FCCC_C0_0
FCCC_C0_0 : FCCC_C0
    port map( 
        -- Inputs
        XTLOSC => OSC_C0_0_XTLOSC_CCC_OUT_XTLOSC_CCC,
        -- Outputs
        GL0    => clk_100_net_0,
        LOCK   => LOCK_net_0 
        );
-- OSC_C0_0
OSC_C0_0 : OSC_C0
    port map( 
        -- Inputs
        XTL        => XTL,
        -- Outputs
        XTLOSC_O2F => OPEN,
        XTLOSC_CCC => OSC_C0_0_XTLOSC_CCC_OUT_XTLOSC_CCC 
        );
-- SYSRESET_0
SYSRESET_0 : SYSRESET
    port map( 
        -- Inputs
        DEVRST_N         => DEVRST_N,
        -- Outputs
        POWER_ON_RESET_N => POWER_ON_RESET_N_net_0 
        );
-- uart_MSS_0
uart_MSS_0 : entity work.mymss -- entity work.mymss_MSS --uart_MSS -- 
    port map( 
        -- Inputs
        MCCC_CLK_BASE         => clk_100_net_0,
        MMUART_0_RXD          => MMUART_0_RXD,
        FIC_0_AHB_S_HADDR     => FIC_0_AHB_S_HADDR,
        FIC_0_AHB_S_HREADY    => FIC_0_AHB_S_HREADY,
        FIC_0_AHB_S_HWDATA    => FIC_0_AHB_S_HWDATA,
        FIC_0_AHB_S_HWRITE    => FIC_0_AHB_S_HWRITE,
        FIC_0_AHB_S_HSIZE     => FIC_0_AHB_S_HSIZE,
        FIC_0_AHB_S_HTRANS    => FIC_0_AHB_S_HTRANS,
        FIC_0_AHB_S_HMASTLOCK => FIC_0_AHB_S_HMASTLOCK,
        FIC_0_AHB_S_HSEL      => FIC_0_AHB_S_HSEL,
        M3_RESET_N            => M3_RESET_N,
        -- Outputs
        MMUART_0_TXD          => MMUART_0_TXD_net_0,
        FIC_0_AHB_S_HRDATA    => FIC_0_AHB_SLAVE_HRDATA,
        FIC_0_AHB_S_HRESP     => FIC_0_AHB_SLAVE_HRESP,
        FIC_0_AHB_S_HREADYOUT => FIC_0_AHB_SLAVE_HREADYOUT,
        MSS_RESET_N_M2F       => MSS_RESET_N_M2F_net_0 
        );

end RTL;
