#!/usr/bin/env python
import struct
import sys

def main():
    if len(sys.argv) < 2:
        sys.exit("Usage: {} FILE [LEN]".format(sys.argv[0]))

    filename = sys.argv[1]
    b = open(filename, 'rb').read()
    if len(b) % 4 != 0:
        sys.exit("length of {} is not a multiple of 4".format(filename))
    if len(sys.argv) > 1:
        flen = int(sys.argv[2])
        if len(b) > flen:
            sys.exit("{} is longer than {}".format(filename, flen))
    else:
        flen = len(b)
    for i in range(len(b)):
        v, = struct.unpack('<B', b[i])
        print('{:08b}'.format(v))
    for i in range(len(b), flen):
        print('{:08b}'.format(0))

if __name__ == '__main__':
    main()
